---
# home.yml tasks

- name: home - git clone
  git:
    repo: git@github.com:bryfry/home.git
    dest: "{{ home_dir }}"
  ignore_errors: yes
  tags: home

- name: home - symbolic links
  file:
    src: "{{ home_dir }}/{{ item }}" 
    dest: "{{ ansible_env.HOME }}/.{{ item }}"
    state: link
    force: yes
  tags: home
  with_items:
  - Xmodmap
  - bashrc
  - bash_aliases
  - profile
  - screenrc 
  - vimrc
  - xinitrc
  - tmux.conf
  - tmux.statusbar.conf

- name: home - symbolic links (custom)
  file:
    src: "{{ home_dir }}/ssh-config" 
    dest: "{{ ansible_env.HOME }}/.ssh/config"
    state: link
    force: yes
  tags: home
